package cn.reghao.oss.api.iface.disk;

import cn.reghao.oss.api.dto.FileInfo;
import cn.reghao.jutil.jdk.db.PageList;

import java.util.List;

/**
 * @author reghao
 * @date 2023-05-22 15:57:51
 */
public interface DiskService {
    PageList<FileInfo> getFileList(String pid, int pageNumber);
    PageList<FileInfo> getFileCard(String pid, int pageNumber);
    List<FileInfo> getDirectories(String pid);
    PageList<FileInfo> search(String keyword, int pageNumber);
}
